TheirStackTheirStack Logo
Log inSign up
DocumentationAPI ReferenceWebhooksDatasetsMCPGuides
IntroductionQuickstartAuthenticationPaginationRate Limit

Search endpoints

Job Search POSTCompany Search POSTTechnographics POSTBuying Intents POST

Account endpoints

Get Credit Balance GETGet Credits Consumption GET

Other

Get Email Preferences GETUpdate Email Preferences PUTOne-Click Unsubscribe (Rfc 8058) POSTUnsubscribe From Email GET
Email preferences

Get Email Preferences

GET
/v0/email-preferences

Authorization

Bearer
AuthorizationBearer <token>

In: header

Response Body

application/json

curl -X GET "https://api.theirstack.com/v0/email-preferences"
{
  "form_data": {
    "property1": {
      "property1": true,
      "property2": true
    },
    "property2": {
      "property1": true,
      "property2": true
    }
  },
  "schema": {}
}

How is this guide?

Last updated on

Generate Dataset Credentials POST

Generate temporary S3 credentials to directly access and download dataset files from cloud storage. Credentials are valid for 7 days by default and provide read-only access to your team's available datasets.

Update Email Preferences PUT

Next Page